com.threerings.whirled.zone.data

## Class ZoneMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.whirled.zone.data.ZoneMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.client.InvocationService, ZoneService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from ZoneService.java.")
    public class ZoneMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements ZoneService

Provides the implementation of the `ZoneService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

Nested Classes
`static class` `ZoneMarshaller.ZoneMoveMarshaller` Marshalls results to implementations of `ZoneService.ZoneMoveListener`.

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.whirled.zone.client.ZoneService

`ZoneService.ZoneMoveListener`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `MOVE_TO` The method id used to dispatch `moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`ZoneMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `moveTo(int arg1, int arg2, int arg3, ZoneService.ZoneMoveListener arg4)` Requests that that this client's body be moved to the specified scene in the specified zone.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MOVE_TO

    public static final int MOVE_TO

The method id used to dispatch `moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### ZoneMarshaller

    public ZoneMarshaller()

### Method Detail

#### moveTo

    public void moveTo(int arg1,
                       int arg2,
                       int arg3,
                       ZoneService.ZoneMoveListener arg4)

Description copied from interface: `ZoneService`
Requests that that this client's body be moved to the specified scene in the specified zone.

Specified by:
  `moveTo` in interface `ZoneService`
Parameters:
  `arg1` - the zone id to which we want to move.
  `arg2` - the scene id to which we want to move.
  `arg3` - the version number of the scene object that we have in our local repository.
  `arg4` - receives the callback when the request succeeds or fails.